KateUndoGroup Class Reference

`#include <kateundo.h>`

## Public Types

enum | UndoType { editInsertText, editRemoveText, editWrapLine, editUnWrapLine, editInsertLine, editRemoveLine, editMarkLineAutoWrapped, editInvalid }

## Public Member Functions

| KateUndoGroup (KateDocument *doc)
| ~KateUndoGroup ()
void | undo ()
void | redo ()
void | addItem (KateUndoGroup::UndoType type, uint line, uint col, uint len, const QString &text)
bool | merge (KateUndoGroup *newGroup, bool complex)
void | safePoint (bool safePoint=true)
bool | isEmpty () const

## Detailed Description

Class to manage a group of undo items.

Definition at line 33 of file kateundo.h.

## Member Enumeration Documentation

enum KateUndoGroup::UndoType

Types for undo items.

Definition at line 62 of file kateundo.h.

## Constructor & Destructor Documentation

KateUndoGroup::KateUndoGroup | ( | KateDocument * | doc | ) |

Constructor.

Parameters

  doc | document to belong to

Definition at line 276 of file kateundo.cpp.

KateUndoGroup::~KateUndoGroup | ( |  | ) |

Destructor.

Definition at line 282 of file kateundo.cpp.

## Member Function Documentation

void KateUndoGroup::addItem | ( | KateUndoGroup::UndoType | type,
|  | uint | line,
|  | uint | col,
|  | uint | len,
|  | const QString & | text
| ) |  |

add an item to the group

Parameters

  type | undo item type
  line | line affected
  col | start column
  len | lenght of change
  text | text removed/inserted

Definition at line 332 of file kateundo.cpp.

bool KateUndoGroup::isEmpty | ( |  | ) | const

inline

is this undogroup empty?

Definition at line 100 of file kateundo.h.

bool KateUndoGroup::merge | ( | KateUndoGroup * | newGroup,
|  | bool | complex
| ) |  |

merge this group with an other

Parameters

  newGroup | group to merge into this one
  complex | set if a complex undo

Returns
  success

Definition at line 347 of file kateundo.cpp.

void KateUndoGroup::redo | ( |  | ) |

Redo the contained undo items.

Definition at line 309 of file kateundo.cpp.

void KateUndoGroup::safePoint | ( | bool | safePoint = `true` | ) |

set group as as savepoint.

the next group will not merge with this one

Definition at line 363 of file kateundo.cpp.

void KateUndoGroup::undo | ( |  | ) |

Undo the contained undo items.

Definition at line 286 of file kateundo.cpp.

The documentation for this class was generated from the following files:

- kateundo.h
- kateundo.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys